Subject: [bitcoindev] Weak blocks give an advantage to large miners

From: Peter Todd <[email-masked]>
Date: Mon, 5 May 2025 21:34:51 +0000

On Mon, May 05, 2025 at 07:18:57PM +1000, Anthony Towns wrote:
> I meant to mention this last email, but had forgotten where to find
> the link. Personally, I think Greg's "relay extra transactions via weak
> blocks" idea [0] from a year ago is an approach that should be considered
> here. The TLDR is that if there are miners out there with different
> relay policies than your node that are accepting transactions you'll
> reject (eg, lower fee, new tx versions, more complicated dependencies,
> ...) then once they find a relatively high PoW share, have the network
> relay that as a weak compact block, with full round-trips to gather
> any transactions that weren't in your mempool and add those txs to your
> extra pool to help with block reconstruction in the near future.
> 
> [0] https://delvingbitcoin.org/t/second-look-at-weak-blocks/805/1

Weak blocks give an advantage to large miners. Small miners, who rarely
find blocks, are also going to rarely find weak blocks, making the
feature mostly useless for them in terms of their choice of
transactions, while simultaneously increasing bandwidth consumption
somewhat. Meanwhile large miners do find weak blocks often, making the
feature useful for them and making it even easier for them to profit by
including non-standard transactions. Which again, is something that
small miners can't do.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/aBku-6CIjQKIQjRS%40petertodd.org.